import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsUserwechat {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  UserId?: bigint;
  UnionId?: string;
  MpOpenId?: string;
  ServiceOpenId?: string;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsUserwechatSchema = defineEntity({
  class: ScsUserwechat,
  comment: '用户微信信息表',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    UserId: p.bigint().name('UserId').nullable().comment('用Id'),
    UnionId: p.string().name('UnionId').nullable().comment('UnionId'),
    MpOpenId: p.string().name('MpOpenId').nullable().comment('小程序OpenId'),
    ServiceOpenId: p.string().name('ServiceOpenId').nullable().comment('服务号OpenId'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
